Create a Report Run
POST/v1/reporting/report_runs
Creates a new object and begin running the report. (Certain report types require a live-mode API key.)
Body parameters
report_typestringRequiredThe ID of the report type to run, such as
"balance.summary.1".expandarray of stringsSpecifies which fields in the response should be expanded.
parametersobjectParameters specifying how the report should be run. Different Report Types have different required and optional parameters, listed in the API Access to Reports documentation.
Show 8 child parameters
columnsarray of stringsconnected_accountstringcurrencystringinterval_endintegerinterval_startintegerpayoutstringreporting_categorystringPossible valuesadvanceadvance_fundinganticipation_repaymentchargecharge_failureclimate_order_purchaseclimate_order_refundconnect_collection_transferconnect_reserved_fundscontributiondisputedispute_reversalfeefinancing_paydownfinancing_paydown_reversalfinancing_payout- and 21 more
timezonestringPossible valuesAfrica/AbidjanAfrica/AccraAfrica/Addis_AbabaAfrica/AlgiersAfrica/AsmaraAfrica/AsmeraAfrica/BamakoAfrica/BanguiAfrica/BanjulAfrica/BissauAfrica/BlantyreAfrica/BrazzavilleAfrica/BujumburaAfrica/CairoAfrica/CasablancaAfrica/Ceuta- and 583 more
Returns
The reporting.report_run object.
curl https://api.knoxapi.com/v1/reporting/report_runs \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d report_type=balance.summary.1const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/reporting/report_runs', {
report_type: 'balance.summary.1',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/reporting/report_runs", report_type="balance.summary.1")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/reporting/report_runs', {
report_type: 'balance.summary.1',
}){
"created": 1234567890,
"error": null,
"id": "frr_1Pgc79B7WZ01zgkWMmsefTsj",
"livemode": true,
"object": "reporting.report_run",
"parameters": {
"interval_end": 1525132800,
"interval_start": 1522540800
},
"report_type": "balance.summary.1",
"result": {
"created": 1028554472,
"expires_at": null,
"filename": null,
"id": "obj_123",
"object": "file",
"purpose": "dispute_evidence",
"size": 3530753,
"title": null,
"type": null,
"url": null
},
"status": "succeeded",
"succeeded_at": 1234567890
}List all Report Runs
GET/v1/reporting/report_runs
Returns a list of Report Runs, with the most recent appearing first.
Query parameters
createdobject | integerOnly return Report Runs that were created during the given date interval.
Show 4 child parameters
gtintegergteintegerltintegerlteinteger
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of reporting.report_run objects.
curl -G https://api.knoxapi.com/v1/reporting/report_runs \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/reporting/report_runs', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/reporting/report_runs", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/reporting/report_runs', {
limit: 3,
}){
"object": "list",
"url": "/v1/reporting/report_runs",
"has_more": false,
"data": [
{
"created": 1234567890,
"error": null,
"id": "frr_1Pgc79B7WZ01zgkWMmsefTsj",
"livemode": true,
"object": "reporting.report_run",
"parameters": {
"interval_end": 1525132800,
"interval_start": 1522540800
},
"report_type": "balance.summary.1",
"result": {
"created": 1028554472,
"expires_at": null,
"filename": null,
"id": "obj_123",
"object": "file",
"purpose": "dispute_evidence",
"size": 3530753,
"title": null,
"type": null,
"url": null
},
"status": "succeeded",
"succeeded_at": 1234567890
}
]
}List all Report Types
GET/v1/reporting/report_types
Returns a full list of Report Types.
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
A list of reporting.report_type objects.
curl https://api.knoxapi.com/v1/reporting/report_types \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/reporting/report_types');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/reporting/report_types")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/reporting/report_types'){
"object": "list",
"url": "/v1/reporting/report_types",
"has_more": false,
"data": [
{
"data_available_end": 1234567890,
"data_available_start": 1234567890,
"default_columns": [
"category",
"currency",
"description",
"net_amount"
],
"id": "balance.summary.1",
"livemode": true,
"name": "Balance summary",
"object": "reporting.report_type",
"updated": 1234567890,
"version": 1
}
]
}Retrieve a Report Run
GET/v1/reporting/report_runs/{report_run}
Retrieves the details of an existing Report Run.
Path parameters
report_runstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The reporting.report_run object.
curl https://api.knoxapi.com/v1/reporting/report_runs/frr_1Pgc79B7WZ01zgkWMmsefTsj \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/reporting/report_runs/frr_1Pgc79B7WZ01zgkWMmsefTsj');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/reporting/report_runs/frr_1Pgc79B7WZ01zgkWMmsefTsj")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/reporting/report_runs/frr_1Pgc79B7WZ01zgkWMmsefTsj'){
"created": 1234567890,
"error": null,
"id": "frr_1Pgc79B7WZ01zgkWMmsefTsj",
"livemode": true,
"object": "reporting.report_run",
"parameters": {
"interval_end": 1525132800,
"interval_start": 1522540800
},
"report_type": "balance.summary.1",
"result": {
"created": 1028554472,
"expires_at": null,
"filename": null,
"id": "obj_123",
"object": "file",
"purpose": "dispute_evidence",
"size": 3530753,
"title": null,
"type": null,
"url": null
},
"status": "succeeded",
"succeeded_at": 1234567890
}Retrieve a Report Type
GET/v1/reporting/report_types/{report_type}
Retrieves the details of a Report Type. (Certain report types require a live-mode API key.)
Path parameters
report_typestringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The reporting.report_type object.
curl https://api.knoxapi.com/v1/reporting/report_types/balance.summary.1 \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/reporting/report_types/balance.summary.1');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/reporting/report_types/balance.summary.1")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/reporting/report_types/balance.summary.1'){
"data_available_end": 1234567890,
"data_available_start": 1234567890,
"default_columns": [
"category",
"currency",
"description",
"net_amount"
],
"id": "balance.summary.1",
"livemode": true,
"name": "Balance summary",
"object": "reporting.report_type",
"updated": 1234567890,
"version": 1
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.